<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:richx="http://xpressosystems/richx"
                template="/templates/main.xhtml">

    <ui:define name="title">
		Productos en Almacenes
    </ui:define>

    <ui:define name="location">
        <h:outputText value="Administracion > Productos en Almacenes" style="font-family: Arial;font-size : 10px;"/>
    </ui:define>

    <ui:define name="body">

        <a4j:form id="productosEnAlmacenesForm">

            <h:panelGroup>
                <rich:messages layout="list" >
                    <f:facet name="errorMarker">
                        <h:graphicImage  value="/images/error16x16.gif" />
                    </f:facet>
                </rich:messages>
            </h:panelGroup>

			<h:panelGrid columns="2" styleClass="center" border="0"
						 columnClasses="columnWidth20,columnWidth80" >

                <h:outputText value="Sucursal : " styleClass="label_bold_right"/>

                <h:panelGroup style="display:block; text-align:left; background-color:transparent;">

                    <h:selectOneMenu id="sucursal"
									 value="#{operacionesEnAlmacenesMB.sucursalId}"
									 valueChangeListener="#{operacionesEnAlmacenesMB.sucursalChanged}"
                                     required="false">
                        <f:selectItems  value="#{operacionesEnAlmacenesMB.sucursalesHijas}"/>
						<a4j:support reRender="productosEnAlmacenesForm" event="onchange"/>
                    </h:selectOneMenu>

                </h:panelGroup>
			</h:panelGrid>

            <rich:dataTable value="#{operacionesEnAlmacenesMB.allMovimientoEntreAlmacenesPrincipal}"
                            var="movimientoEntreAlmacenes"
                            width="90%"
                            styleClass="center" columnClasses="columnWidth10,columnWidth50,columnWidth10,columnWidth10,columnWidth10,columnWidth10" >

                <f:facet name="header">
                    <h:panelGroup style="display:block; text-align:center; background-color:transparent;" >
                        <h:outputText value="Surtido a sucursal" />
						<rich:separator width="200px"/>
						<h:commandButton value="Confirmar surtido" action="#{operacionesEnAlmacenesMB.confirmarSurtirAlmacenPrincipal}"/>
                    </h:panelGroup>

                </f:facet>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="ID" />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:right; background-color:transparent;" >
                        <h:outputText value="#{movimientoEntreAlmacenes.producto.id} [#{movimientoEntreAlmacenes.producto.codigoBarras}]" />
                    </h:panelGroup>
                </rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Producto" />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:left; background-color:transparent;" >
						<rich:panel  styleClass="tooltip-text" bodyClass="rich-laguna-panel-no-header">
							<!--
							  <h:graphicImage value="/dynamicImages/Producto?id=#{movimientoEntreAlmacenes.producto.id}_20x15"/>
							-->
							<img src="/pmarlen-web/images/productos/ICO_PRODUCTO_#{movimientoEntreAlmacenes.producto.id}.jpg"/>
                            <rich:spacer width="10"/>
                            <h:outputText value="#{movimientoEntreAlmacenes.producto.nombre} / #{movimientoEntreAlmacenes.producto.presentacion}"/>

                            <rich:toolTip showEvent="onclick" direction="bottom-left" mode="ajax" styleClass="tooltip" layout="block">

                                <f:facet name="defaultContent">
                                    <img src="/pmarlen-web/images/gif_loading_azul.gif"/>	     
                                </f:facet>

                                <h:panelGroup style="display:block; text-align:center; background-color:transparent;">
									<img src="/pmarlen-web/images/productos/MED_PRODUCTO_#{movimientoEntreAlmacenes.producto.id}.jpg"/>
                                </h:panelGroup>

                            </rich:toolTip>
                        </rich:panel>

                    </h:panelGroup>
                </rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Almacen Principal" />
                    </f:facet>
					<h:panelGroup style="display:block; text-align:right; background-color:transparent;" >

						<h:outputText value="#{movimientoEntreAlmacenes.origenPV}">
                            <f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
                        </h:outputText>
						<br/>
                        <h:outputText 	value="#{movimientoEntreAlmacenes.origenCantidadActual}"/>						
                    </h:panelGroup>					
				</rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Sucursal" />
                    </f:facet>

					<h:panelGroup style="display:block; text-align:right; background-color:transparent;" >
						<h:outputText value="#{movimientoEntreAlmacenes.destinoPV}">
                            <f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
                        </h:outputText>
						<br/>
                        <h:outputText 	value="#{movimientoEntreAlmacenes.destinoActual}"/>						
                    </h:panelGroup>
				</rich:column>
				
				<rich:column>
                    <f:facet name="header">
                        <h:outputText value="-> Surtir" />
                    </f:facet>

					<h:panelGroup style="display:block; text-align:right; background-color:transparent;" >						
                        <h:inputText 	value="#{movimientoEntreAlmacenes.destinoSurtir}" size="3"/>
                    </h:panelGroup>
				</rich:column>
				
				<rich:column>
                    <f:facet name="header">
                        <h:outputText value="$ Venta" />
                    </f:facet>

					<h:panelGroup style="display:block; text-align:right; background-color:transparent;" >
						$
						<h:inputText value="#{movimientoEntreAlmacenes.destinoPV}" size="4">
                            <f:convertNumber maxFractionDigits="2" pattern="########0.00" locale="es_MX"/>
                        </h:inputText>
						
                    </h:panelGroup>
				</rich:column>
				
            </rich:dataTable>

        </a4j:form>
    </ui:define>

</ui:composition>